net.minecraft.util

## Class ChatComponentStyle

- java.lang.Object
- - net.minecraft.util.ChatComponentStyle

- All Implemented Interfaces:
    java.lang.Iterable, IChatComponent
  Direct Known Subclasses:
    ChatComponentText, ChatComponentTranslation

      public abstract class ChatComponentStyle
      extends java.lang.Object
      implements IChatComponent

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface net.minecraft.util.IChatComponent

      `IChatComponent.Serializer`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected java.util.List` | `siblings`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ChatComponentStyle()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `IChatComponent` | `appendSibling(IChatComponent p_150257_1_)`
    `IChatComponent` | `appendText(java.lang.String p_150258_1_)`
    `static java.util.Iterator` | `createDeepCopyIterator(java.lang.Iterable p_150262_0_)`
    `boolean` | `equals(java.lang.Object par1Obj)`
    `ChatStyle` | `getChatStyle()`
    `java.lang.String` | `getFormattedText()`
    `java.util.List` | `getSiblings()`
    `java.lang.String` | `getUnformattedText()`
    `int` | `hashCode()`
    `java.util.Iterator` | `iterator()`
    `IChatComponent` | `setChatStyle(ChatStyle p_150255_1_)`
    `java.lang.String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface net.minecraft.util.IChatComponent

      `createCopy, getUnformattedTextForChat`

- - ### Field Detail

    - #### siblings

          protected java.util.List siblings

  - ### Constructor Detail

    - #### ChatComponentStyle

          public ChatComponentStyle()

  - ### Method Detail

    - #### appendSibling

          public IChatComponent appendSibling(IChatComponent p_150257_1_)

      Specified by:
        `appendSibling` in interface `IChatComponent`

    - #### getSiblings

          public java.util.List getSiblings()

      Specified by:
        `getSiblings` in interface `IChatComponent`

    - #### appendText

          public IChatComponent appendText(java.lang.String p_150258_1_)

      Specified by:
        `appendText` in interface `IChatComponent`

    - #### setChatStyle

          public IChatComponent setChatStyle(ChatStyle p_150255_1_)

      Specified by:
        `setChatStyle` in interface `IChatComponent`

    - #### getChatStyle

          public ChatStyle getChatStyle()

      Specified by:
        `getChatStyle` in interface `IChatComponent`

    - #### iterator

          public java.util.Iterator iterator()

      Specified by:
        `iterator` in interface `java.lang.Iterable`

    - #### getUnformattedText

          public final java.lang.String getUnformattedText()

      Specified by:
        `getUnformattedText` in interface `IChatComponent`

    - #### getFormattedText

          public final java.lang.String getFormattedText()

      Specified by:
        `getFormattedText` in interface `IChatComponent`

    - #### createDeepCopyIterator

          public static java.util.Iterator createDeepCopyIterator(java.lang.Iterable p_150262_0_)

    - #### equals

          public boolean equals(java.lang.Object par1Obj)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`